View Issue Details

IDProjectCategoryView StatusLast Update
0023075Packages-public2015-05-03 19:59
ReporterHans Luijten Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.0 
Summary0023075: Icon resource attached to new component (Package->Add New Component) default missing "T"
DescriptionWhen adding a new component to a package;

Package -> New Component -> Click icon placeholder -> select 24x24 PNG

Creates a LRS file, however without the "T" in front of the resource name, which makes it not show in the component palette bar after installing and shows the default component icon instead.

The file starts with:

LazarusResources.Add('MyNewComponent','PNG',[

But should start with:

LazarusResources.Add('TMyNewComponent','PNG',[

(The "T" in front of the component name)
Additional InformationMac OS X 10.8.2,
Lazarus 1.0 rexported FPC 2.6.0 i386-darwin-carbon
Tagscomponent, component palette, packages, resource
Fixed in Revisionr38989
LazTarget-
WidgetsetCarbon
Attached Files

Activities

Hans Luijten

2012-10-06 20:04

reporter   ~0062959

I just discovered that it's not just the "T" missing (in my case the resource file happened to have the name without the T); it uses the name of the PNG file (without extension).
So manual edit is still needed.

Juha Manninen

2012-10-08 00:15

developer   ~0062986

Please test.

Issue History

Date Modified Username Field Change
2012-10-06 19:38 Hans Luijten New Issue
2012-10-06 19:38 Hans Luijten Widgetset => Carbon
2012-10-06 20:04 Hans Luijten Note Added: 0062959
2012-10-06 20:04 Hans Luijten Tag Attached: component
2012-10-06 20:04 Hans Luijten Tag Attached: resource
2012-10-06 20:05 Hans Luijten Tag Attached: packages
2012-10-06 20:05 Hans Luijten Tag Attached: component palette
2012-10-08 00:00 Juha Manninen Status new => assigned
2012-10-08 00:00 Juha Manninen Assigned To => Juha Manninen
2012-10-08 00:15 Juha Manninen Fixed in Revision => r38989
2012-10-08 00:15 Juha Manninen LazTarget => -
2012-10-08 00:15 Juha Manninen Status assigned => resolved
2012-10-08 00:15 Juha Manninen Resolution open => fixed
2012-10-08 00:15 Juha Manninen Note Added: 0062986
2015-05-03 19:59 Hans Luijten Status resolved => closed